php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #61016 ZEND_EXTENSION_API_NO typo
Submitted: 2012-02-08 17:10 UTC Modified: 2012-02-08 17:21 UTC
From: jbnance at tresgeek dot net Assigned:
Status: Not a bug Package: Dynamic loading
PHP Version: 5.3.10 OS:
Private report: No CVE-ID: None
 [2012-02-08 17:10 UTC] jbnance at tresgeek dot net
Description:
------------
There appears to be a typo in the version number for the ZEND_EXTENSION_API_NO:

Zend/zend_extensions.h:#define ZEND_EXTENSION_API_NO  220090626

I believe that is supposed to be "20090626".

Patch included.


Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2012-02-08 17:21 UTC] derick@php.net
-Status: Open +Status: Not a bug
 [2012-02-08 17:21 UTC] derick@php.net
Thank you for taking the time to write to us, but this is not
a bug. Please double-check the documentation available at
http://www.php.net/manual/ and the instructions on how to report
a bug at http://bugs.php.net/how-to-report.php

No, it's correct. The first 2 is for "zend engine 2".
 [2012-02-08 17:21 UTC] rasmus@php.net
The comment in the code just above that #define is:

/* The first number is the engine version and the rest is the date.
 * This way engine 2/3 API no. is always greater than engine 1 API no..
 */
 
PHP Copyright © 2001-2024 The PHP Group
All rights reserved.
Last updated: Fri Jun 14 08:01:34 2024 UTC